Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.management
Class DuplicateKeyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wlcp.wlng.api.management.ManagementException
                  com.bea.wlcp.wlng.api.management.InputManagementException
                      com.bea.wlcp.wlng.api.management.DuplicateKeyException

All Implemented Interfaces:
  Serializable

public class DuplicateKeyException
extends InputManagementException

The operation resulted in a duplicate key exception. The index variable specifies the index of the parameter that caused the exception, or -1 if unspecified.

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`int` | `index` Specifies the index of the parameter that caused this exception or -1 if unspecified.

Constructor Summary
`DuplicateKeyException()`
`DuplicateKeyException(int index)`
`DuplicateKeyException(String message)`
`DuplicateKeyException(String message, int index)`
`DuplicateKeyException(String message, Throwable t)`
`DuplicateKeyException(Throwable t)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    public final int index

  Specifies the index of the parameter that caused this exception or -1 if unspecified.

Constructor Detail

### DuplicateKeyException

    public DuplicateKeyException()

### DuplicateKeyException

    public DuplicateKeyException(int index)

### DuplicateKeyException

    public DuplicateKeyException(String message)

### DuplicateKeyException

    public DuplicateKeyException(String message,
                                 int index)

### DuplicateKeyException

    public DuplicateKeyException(String message,
                                 Throwable t)

### DuplicateKeyException

    public DuplicateKeyException(Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD